Audit callers of  for privacy concerns
There are various places in the code where we indiscriminately grab the most recent navigator:browser window and stuff a tab in it, when we may want to be more discriminating with regards to the window's privacy status.
